# Overview, Design, Details (ODD)

The  model  description follows  the  ODD  (Overview,  Design  concepts, Details)  protocol  (Grimm  et  al.,  [2006](https://doi.org/10.1016/j.ecolmodel.2006.04.023); [2010](https://doi.org/10.1016/j.ecolmodel.2010.08.019); [2020](https://doi.org/10.18564/jasss.4259)):


## 1. Purpose

## 2. Entities, state variables, and scales

## 3. Process overview and scheduling

## 4. Design concepts

### 4.1 Basic principles

### 4.2 Emergence

### 4.3 Adaptation

### 4.4 Objectives

### 4.5 Learning

### 4.6 Prediction

### 4.7 Sensing

### 4.8 Interaction

### 4.9 Stochasticity

### 4.10 Collectives

### 4.11 Observation

## 5. Initialisation

## 6. Input data

## 7. Submodels


## 8. References
